Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlPointManager Class Reference

`#include <GlPointManager.h>`

Collaboration diagram for tlp::GlPointManager:

[legend]
List of all members.

## Detailed Description

Singleton used to manage Glew.

Singleton used to manage Glew.

## Public Member Functions

- bool renderingIsBegin ()
- void beginRendering ()
- void copyToNewTabs (GLuint **indices, Color **colors, Coord **coords, unsigned int oldSize, unsigned int newSize)
- void addPoint (const Coord &coord, const Color &color, int size)
- void endRendering ()

## Static Public Member Functions

- static GlPointManager & getInst ()

## Member Function Documentation

void tlp::GlPointManager::addPoint | ( | const Coord & | coord,
|  | const Color & | color,
|  | int | size
| ) | `[inline]`

void tlp::GlPointManager::beginRendering | ( |  | ) | `[inline]`

void tlp::GlPointManager::copyToNewTabs | ( | GLuint ** | indices,
|  | Color ** | colors,
|  | Coord ** | coords,
|  | unsigned int | oldSize,
|  | unsigned int | newSize
| ) | `[inline]`

void tlp::GlPointManager::endRendering | ( |  | ) |

static GlPointManager& tlp::GlPointManager::getInst | ( |  | ) | `[inline, static]`

| Return the current instance. If instance doesn't exist, create it.

bool tlp::GlPointManager::renderingIsBegin | ( |  | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010